Saltar al contenido principal
POST
/
v3
/
enterprise
/
organizations
/
{org_id}
/
tags
Agregar etiquetas a la organización
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags"

payload = { "tags": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: ['<string>']})
};

fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tags": [
    "<string>"
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Permisos

Requiere un usuario de servicio con el permiso ManageEnterpriseSettings. Además, la función de etiquetas de sesión debe estar habilitada para la cuenta Enterprise.

Autorizaciones

Authorization
string
header
requerido

Credencial de usuario de servicio (prefijo: cog_)

Parámetros de ruta

org_id
string
requerido

ID de la organización (prefijo: org-)

Ejemplo:

"org-abc123def456"

Cuerpo

application/json
tags
string[]
requerido

Respuesta

Respuesta correcta

tags
string[]
requerido